package com.kingdee.eas.custom.esign;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractSealInfo extends com.kingdee.eas.framework.DataBaseInfo implements Serializable 
{
    public AbstractSealInfo()
    {
        this("id");
    }
    protected AbstractSealInfo(String pkField)
    {
        super(pkField);
    }
    /**
     * Object:e 签宝印章管理's 被授权方机构账号IDproperty 
     */
    public String getOrgId()
    {
        return getString("orgId");
    }
    public void setOrgId(String item)
    {
        setString("orgId", item);
    }
    /**
     * Object:e 签宝印章管理's 印章ID（印章编号）property 
     */
    public String getSealId()
    {
        return getString("sealId");
    }
    public void setSealId(String item)
    {
        setString("sealId", item);
    }
    /**
     * Object:e 签宝印章管理's 印章名称property 
     */
    public String getSealName()
    {
        return getString("sealName");
    }
    public void setSealName(String item)
    {
        setString("sealName", item);
    }
    /**
     * Object:e 签宝印章管理's 印章创建时间property 
     */
    public java.sql.Time getSealCreateTime()
    {
        return getTime("sealCreateTime");
    }
    public void setSealCreateTime(java.sql.Time item)
    {
        setTime("sealCreateTime", item);
    }
    /**
     * Object:e 签宝印章管理's 是否为机构默认印章property 
     */
    public boolean isDefaultSealFlag()
    {
        return getBoolean("defaultSealFlag");
    }
    public void setDefaultSealFlag(boolean item)
    {
        setBoolean("defaultSealFlag", item);
    }
    /**
     * Object:e 签宝印章管理's 印章高度（单位：毫米mmproperty 
     */
    public int getSealHeight()
    {
        return getInt("sealHeight");
    }
    public void setSealHeight(int item)
    {
        setInt("sealHeight", item);
    }
    /**
     * Object:e 签宝印章管理's 印章宽度（单位：毫米mm）property 
     */
    public int getSealWidth()
    {
        return getInt("sealWidth");
    }
    public void setSealWidth(int item)
    {
        setInt("sealWidth", item);
    }
    /**
     * Object:e 签宝印章管理's 印章业务类型property 
     */
    public com.kingdee.eas.custom.esign.bizEnum.SealBizTypeEnum getSealBizType()
    {
        return com.kingdee.eas.custom.esign.bizEnum.SealBizTypeEnum.getEnum(getString("sealBizType"));
    }
    public void setSealBizType(com.kingdee.eas.custom.esign.bizEnum.SealBizTypeEnum item)
    {
		if (item != null) {
        setString("sealBizType", item.getValue());
		}
    }
    /**
     * Object:e 签宝印章管理's 印章业务类型说明property 
     */
    public String getSealBizTypeDescription()
    {
        return getString("sealBizTypeDescription");
    }
    public void setSealBizTypeDescription(String item)
    {
        setString("sealBizTypeDescription", item);
    }
    /**
     * Object:e 签宝印章管理's 印章制作方式property 
     */
    public com.kingdee.eas.custom.esign.bizEnum.SealStyleEnum getSealStyle()
    {
        return com.kingdee.eas.custom.esign.bizEnum.SealStyleEnum.getEnum(getInt("sealStyle"));
    }
    public void setSealStyle(com.kingdee.eas.custom.esign.bizEnum.SealStyleEnum item)
    {
		if (item != null) {
        setInt("sealStyle", item.getValue());
		}
    }
    /**
     * Object:e 签宝印章管理's 印章授权生效时间property 
     */
    public java.sql.Time getEffectiveTime()
    {
        return getTime("effectiveTime");
    }
    public void setEffectiveTime(java.sql.Time item)
    {
        setTime("effectiveTime", item);
    }
    /**
     * Object:e 签宝印章管理's 印章授权失效时间property 
     */
    public java.sql.Time getExpireTime()
    {
        return getTime("expireTime");
    }
    public void setExpireTime(java.sql.Time item)
    {
        setTime("expireTime", item);
    }
    /**
     * Object:e 签宝印章管理's 授权业务流程编号property 
     */
    public String getSealAuthBizId()
    {
        return getString("sealAuthBizId");
    }
    public void setSealAuthBizId(String item)
    {
        setString("sealAuthBizId", item);
    }
    /**
     * Object:e 签宝印章管理's 授权机构名称（委托单位）property 
     */
    public String getAuthorizerOrgName()
    {
        return getString("authorizerOrgName");
    }
    public void setAuthorizerOrgName(String item)
    {
        setString("authorizerOrgName", item);
    }
    /**
     * Object:e 签宝印章管理's 授权机构账号ID（委托单位）property 
     */
    public String getAuthorizerOrgId()
    {
        return getString("authorizerOrgId");
    }
    public void setAuthorizerOrgId(String item)
    {
        setString("authorizerOrgId", item);
    }
    /**
     * Object:e 签宝印章管理's 是否被外部授权印章property 
     */
    public boolean isAuthorizer()
    {
        return getBoolean("authorizer");
    }
    public void setAuthorizer(boolean item)
    {
        setBoolean("authorizer", item);
    }
    /**
     * Object:e 签宝印章管理's 印章状态property 
     */
    public com.kingdee.eas.custom.esign.bizEnum.SealStatusEnum getSealStatus()
    {
        return com.kingdee.eas.custom.esign.bizEnum.SealStatusEnum.getEnum(getInt("sealStatus"));
    }
    public void setSealStatus(com.kingdee.eas.custom.esign.bizEnum.SealStatusEnum item)
    {
		if (item != null) {
        setInt("sealStatus", item.getValue());
		}
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("4552A88E");
    }
}